This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 440320 - debuginfo-install fails for some packages
debuginfo-install fails for some packages
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 15:30 EDT by Daniel Berrange
Modified: 2008-06-06 08:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 08:59:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2008-04-02 15:30:41 EDT
Description of problem:
debuginfo-install fails to find the -debuginfo RPMs for certain packages, eg
gtkglext.x86_64,  mesa.x86_64 and keyutils.x86_64

Version-Release number of selected component (if applicable):
yum-utils-1.1.13-2.fc9.noarch
yum-3.2.13-2.fc9.noarch

How reproducible:
Always on certain RPMs

Steps to Reproduce:
1. # debuginfo-install gtkglext.x86_64 
2.
3.
  
Actual results:
Loaded plugins: refresh-updatesd
enabling rawhide-debuginfo
Reading repository metadata in from local files
No debuginfo packages available to install


Expected results:
It installs gtkglext-debuginfo, which regular yum manages to find without trouble

# yum --enablerepo=rawhide-debuginfo install gtkglext-debuginfo.x86_64
Loaded plugins: refresh-updatesd
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package gtkglext-debuginfo.x86_64 0:1.2.0-6.fc9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 gtkglext-debuginfo      x86_64     1.2.0-6.fc9      rawhide-debuginfo  358 k

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 358 k
Is this ok [y/N]: y
Downloading Packages:
(1/1): gtkglext-debuginfo 100% |=========================| 358 kB    00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: gtkglext-debuginfo           ######################### [1/1] 
Unable to look at what's on dbus

Installed: gtkglext-debuginfo.x86_64 0:1.2.0-6.fc9
Complete!


Additional info:
Comment 1 Seth Vidal 2008-04-02 18:04:20 EDT
if you run:
debuginfo-install gtkglext

does it work?

Comment 2 Bug Zapper 2008-05-14 04:36:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Tim Lauridsen 2008-05-30 08:40:26 EDT
[tim@hoth yum-utils]$ sudo yum whatprovides gtkglext
Loaded plugins: refresh-packagekit, tmprepo
gtkglext-libs.i386 : OpenGL Extension to GTK
gtkglext-libs.i386 : OpenGL Extension to GTK

try with 'debug-install gtkglext-libs.x86_64'
Comment 4 Tim Lauridsen 2008-06-03 07:03:13 EDT
Daniel, Please retest.

Note You need to log in before you can comment on or make changes to this bug.